Package com.avaya.clientservices.media

## Enum OpusCodecProfileMode

- java.lang.Object
- - java.lang.Enum<OpusCodecProfileMode>
  - - com.avaya.clientservices.media.OpusCodecProfileMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<OpusCodecProfileMode>`

      public enum OpusCodecProfileMode
      extends java.lang.Enum<OpusCodecProfileMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSTRAINED_NARROW_BAND` |
    `DEFAULT` |
    `NARROW_BAND` |
    `OFF` |
    `SUPER_WIDE_BAND` |
    `WIDE_BAND` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OpusCodecProfileMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static OpusCodecProfileMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static OpusCodecProfileMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final OpusCodecProfileMode OFF

    - #### DEFAULT

          public static final OpusCodecProfileMode DEFAULT

    - #### CONSTRAINED_NARROW_BAND

          public static final OpusCodecProfileMode CONSTRAINED_NARROW_BAND

    - #### NARROW_BAND

          public static final OpusCodecProfileMode NARROW_BAND

    - #### WIDE_BAND

          public static final OpusCodecProfileMode WIDE_BAND

    - #### SUPER_WIDE_BAND

          public static final OpusCodecProfileMode SUPER_WIDE_BAND

  - ### Method Detail

    - #### values

          public static OpusCodecProfileMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OpusCodecProfileMode c : OpusCodecProfileMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OpusCodecProfileMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static OpusCodecProfileMode fromInt​(int v)

    - #### intValue

          public int intValue()